        .setcpu 	"6502"
		.localchar	'@'

		.include "../sys.def"
		.include "../bios.def"
		
		.include "../CB2k.def"
		.include "print.def"
		
		.org $800
		
	jsr		MON_SETKBD
	jsr		MON_SETVID
	jsr		MON_INIT
	jsr		MON_HOME
	jsr		PRINT_INIT
	
	PRINT	HEADER
	
	lda		#<TEXT
	ldx		#>TEXT
	sta		PRINT_DATA
	stx		PRINT_DATA+1
	
	ldy		#0
:	lda		(PRINT_DATA),y
	beq		:+
	jsr		PRINT_ASCII
	iny
	bne		:-
	inc		PRINT_DATA+1
	bne		:-
	
:	PRINT	ANYKEY
	jsr		MON_RDKEY
	
	lda		#<NO_RUN
	ldx		#>NO_RUN
	SYS		CB2K_HANDLER_SET
	SYS		CB2K_FILE_RUN
	
NO_RUN:
	jmp		$E000
	
HEADER:
	.byte	0,0
	textz	"============ CompatiBoot 2k ============"
	.byte	1,0,0
	.byte	-1
		
ANYKEY:
	.byte	23,0
	textz	":"
	.byte	-1
	
	.include	"print.inc"		
	
TEXT:
