        .setcpu 	"6502"
		.localchar	'@'

		.include "../sys.def"
		.include "../bios.def"
		
		.include "../CB2k.def"
		.include "print.def"
		
		.org $4000
		
	jsr		MON_SETKBD
	jsr		MON_SETVID
	jsr		MON_INIT
	jsr		MON_HOME
	jsr		PRINT_INIT
	
	lda		#<NO_HGR
	ldx		#>NO_HGR
	SYS		CB2K_HANDLER_SET
	
	PRINT	COPYRIGHT
	PRINT	LISIAS
	
	jsr		APPLESOFT_CMD_HGR
	SYS		CB2K_FILE_LOAD
	
	lda		#<NO_RUN
	ldx		#>NO_RUN
	SYS		CB2K_HANDLER_SET

	PRINT	ANYKEY
	jsr		MON_RDKEY
	
	SYS		CB2K_FILE_RUN
	
NO_HGR:
	jmp		APPLESOFT_CMD_TEXT
	
NO_RUN:
	jmp		$E000
	
LISIAS:
	.byte	20,7
	textz	"http://aboutme.lisias.net"
	.byte 	21,2
	textz	.sprintf("%cTime is the school in which we learn,",'"')
	.byte 	22,5
	textz	.sprintf("Time is the fire in which we burn.%c",'"')
	.byte 	23,23
	textz	"Delmore Schwartz"
	.byte	-1
	
COPYRIGHT:
	.byte	12,9
	textz	"(C) 2012 Lisias Toledo"
	.byte 	14,7
	textz	"http://apple2.lisias.net/"
	.byte	-1
		
ANYKEY:
	.byte	23,0
	textz	":"
	.byte	-1
	
	.include	"print.inc"		
