
	CHAR_MASK		=	FREE_D9		; byte usado para fazer AND no texto para compatibilidade com Apple][ sem letra minuscula

	HTAB		=	$24
	VTAB		=	$25

	PRINT_DATA	=	FREE_EE
	CHKSUM		= 	FREE_D7

	PREAD		=	$FB1E
	VERSION		=	$FBB3
	
PRINT_INIT:
	lda		#$ff
	sta		CHAR_MASK
	sta		CHKSUM
	
	lda		VERSION
	cmp		#$38
	beq		@lowcase_capable
	cmp		#$EA
	bne		@lowcase_capable
	lda		PREAD
	cmp		#$AD
	bne		@lowcase_capable
	
@upcase_only:
	lda		#$DF
	sta		CHAR_MASK
	
@lowcase_capable:
	rts
	
PRINT_TEXT:
	sta		PRINT_DATA
	sty		PRINT_DATA+1
	ldy		#0
:
	jsr		@_get
	bmi		@exit
	sta		VTAB
	jsr		@_get
	sta		HTAB
	jsr		@fetch
	clc
	bcc		:-

@fetch:
	jsr		@_get
	beq		@eol
	
	pha
	lda		VTAB
	jsr		MON_BASCALC
	pla	
	
	jsr		PRINT_CHAR
	
	clc
	bcc		@fetch
@exit:
	lda		CHKSUM
@eol:
	rts

@_get:
	lda 	(PRINT_DATA),y
	php
	iny
	pha
	eor		CHKSUM
	sta		CHKSUM
	pla
	plp
	rts

PRINT_ASCII:
	ora		#$80
PRINT_CHAR:
	cmp		#$61|$80
	bcc		:+
	and		CHAR_MASK
:	
	jmp		MON_COUT

